Subject: Re: [X2Go-Dev] Bug#531: pyhoca-gui: Error building on Windows when running: python setup.py build_exe

From: Mike Gabriel <[email-masked]>
Date: Sat, 05 Jul 2014 22:08:31 +0000

Control: reassign -1 wiki.x2go.org
Control: retitle -1 Build of PyHoca-GUI requires python-requests module

Hi Michael,

On  Sa 05 Jul 2014 04:36:17 CEST, Michael DePaulo wrote:

> Package: pyhoca-gui
> Version: 5.0.0.0-preview
>
> I followed the pyhoca-gui build instructions simultaneously on both
> the X2Go-WinBuilder VM, and my home desktop (excutor.) The former is
> Windows 7 64-bit SP1, the latter is WIndows 8.1 64-bit with update 1.
> They both get the same error.
>
> I also tried building under both Msysgit bash and under cmd.exe
>
> Instructions (it's the very last step that fails.)
> http://wiki.x2go.org/doku.php/wiki:development:build-howto-mswin:pyhoca-gui
>
> setup common to both machines:
> Python 2.7.8 32-bit (Released 3 days a go)
> bbfreeze-1.1.3-py2.7.egg
> bbfreeze_loader-1.1.0-py2.7-win32.egg
> py2exe-0.6.9.win32-py2.7
> Msysgit (AKA "Git for Windows") 1.9.4-preview20140611
> (In other words, I have both bbfreeze and py2exe installed.)
>
> I've attached the output because I do not want its 80+ character long
> lines to be split up.

With 0.5.0.0 I added X2Go Session Broker (client) support. This part  
of Python X2Go uses the requests module. This needs to be installed in  
the build env.

This surely is a lack of documentation on wiki.x2go.org.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb